Bug 1381865 (CVE-2016-7944) - CVE-2016-7944 libXfixes: Insufficient validation of server responses results in Integer overflow
Summary: CVE-2016-7944 libXfixes: Insufficient validation of server responses results ...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-7944
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1381866
Blocks: 1381939
TreeView+ depends on / blocked
 
Reported: 2016-10-05 08:45 UTC by Andrej Nemec
Modified: 2021-02-17 03:14 UTC (History)
4 users (show)

Fixed In Version: libXfixes 5.0.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:59:27 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-10-05 08:45:50 UTC
It was found that when receiving a response from the server protocol data is not validated sufficiently. The 32 bit field "rep.length" is not checked for validity, which allows an integer overflow on 32 bit systems.

A malicious server could send INT_MAX as length, which gets multiplied by the size of XRectangle. In that case the client won't read the whole data from server, getting out of sync.

Upstream patch:

https://cgit.freedesktop.org/xorg/lib/libXfixes/commit/?id=61c1039ee23a2d1de712843bed3480654d7ef42e

External References:

https://lists.x.org/archives/xorg-announce/2016-October/002720.html

CVE assignment:

http://seclists.org/oss-sec/2016/q4/17

Comment 1 Andrej Nemec 2016-10-05 08:46:10 UTC
Created libXfixes tracking bugs for this issue:

Affects: fedora-all [bug 1381866]


Note You need to log in before you can comment on or make changes to this bug.